Skip to content

Query for users that are able to be mentioned.

Request

Query for users that are able to be mentioned.

Security
oauth2_as_a_user(Required scopes: feeds.engage)
Query
searchstringrequired

String to match mentionable users' data.

curl -i -X GET \
  'https://partner.socialchorus.com/v2/feed/users/suggest?search=string' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Success

Bodyapplication/json
Array [
user_idinteger

ID of the user

Example:628
namestring
Example:"Johnathan Smith"
displayNamestring
Example:"John Smith"
avatarUrlstring

The url for the user's avatar

avatarColorstring

The hex code for presenting the user

Example:"#ec407a"
]
Response
[ { "user_id": 628, "name": "Johnathan Smith", "displayName": "John Smith", "avatarUrl": "string", "avatarColor": "#ec407a" } ]